UserProvisionedMachine [infrastructure.cluster.x-k8s.io/v1beta1]

Description
UserProvisionedMachine is the Schema for the baremetalmachines API
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

UserProvisionedMachineSpec defines the desired state of UserProvisionedMachine

statusobject

UserProvisionedMachineStatus defines the observed state of UserProvisionedMachine

.spec

Description
UserProvisionedMachineSpec defines the desired state of UserProvisionedMachine
Type
object
Required
credentialRefcriportroleversion
PropertyTypeDescription
annotationsobject
clusterNamestring
credentialRefobject

LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace.

criobject
ipstring
ipv6string
labelsobject
networkDevicestring
portinteger
providerIDstring
publicIpstring
rolestring
taintsarray
versionstring

.spec.annotations

Type
object

.spec.credentialRef

Description
LocalObjectReference contains enough information to let you locate the referenced object inside the same namespace.
Type
object
PropertyTypeDescription
namestring

Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

.spec.cri

Type
object
Required
typeversion
PropertyTypeDescription
typestring
versionstring

.spec.labels

Type
object

.spec.taints

Type
array

.spec.taints[]

Description
The node this Taint is attached to has the "effect" on any pod that does not tolerate the Taint.
Type
object
Required
effectkey
PropertyTypeDescription
effectstring

Required. The effect of the taint on pods that do not tolerate the taint. Valid effects are NoSchedule, PreferNoSchedule and NoExecute.

keystring

Required. The taint key to be applied to a node.

timeAddedstring

TimeAdded represents the time at which the taint was added. It is only written for NoExecute taints.

valuestring

The taint value corresponding to the taint key.

.status

Description
UserProvisionedMachineStatus defines the observed state of UserProvisionedMachine
Type
object
Required
phase
PropertyTypeDescription
addressesarray
conditionsarray
criobject
nodeInfoobject

NodeSystemInfo is a set of ids/uuids to uniquely identify the node.

nodeRefobject

ObjectReference contains enough information to let you inspect or modify the referred object.

phasestring
readyboolean
versionstring

.status.addresses

Type
array

.status.addresses[]

Description
MachineAddress contains information for the node's address.
Type
object
Required
addresstype
PropertyTypeDescription
addressstring

The machine address.

typestring

Machine address type, one of Hostname, ExternalIP, InternalIP, ExternalDNS or InternalDNS.

.status.conditions

Type
array

.status.conditions[]

Description
Condition defines an observation of a Cluster API resource operational state.
Type
object
Required
lastTransitionTimestatustype
PropertyTypeDescription
lastTransitionTimestring

Last time the condition transitioned from one status to another. This should be when the underlying condition changed. If that is not known, then using the time when the API field changed is acceptable.

messagestring

A human readable message indicating details about the transition. This field may be empty.

reasonstring

The reason for the condition's last transition in CamelCase. The specific API may choose whether or not this field is considered a guaranteed API. This field may not be empty.

severitystring

Severity provides an explicit classification of Reason code, so the users or machines can immediately understand the current situation and act accordingly. The Severity field MUST be set only when Status=False.

statusstring

Status of the condition, one of True, False, Unknown.

typestring

Type of condition in CamelCase or in foo.example.com/CamelCase. Many .condition.type values are consistent across resources like Available, but because arbitrary conditions can be useful (see .node.status.conditions), the ability to deconflict is important.

.status.cri

Type
object
Required
typeversion
PropertyTypeDescription
typestring
versionstring

.status.nodeInfo

Description
NodeSystemInfo is a set of ids/uuids to uniquely identify the node.
Type
object
Required
architecturebootIDcontainerRuntimeVersionkernelVersionkubeletVersionmachineIDoperatingSystemosImagesystemUUID
PropertyTypeDescription
architecturestring

The Architecture reported by the node

bootIDstring

Boot ID reported by the node.

containerRuntimeVersionstring

ContainerRuntime Version reported by the node through runtime remote API (e.g. containerd://1.4.2).

kernelVersionstring

Kernel Version reported by the node from 'uname -r' (e.g. 3.16.0-0.bpo.4-amd64).

kubeProxyVersionstring

KubeProxy Version reported by the node.

kubeletVersionstring

Kubelet Version reported by the node.

machineIDstring

MachineID reported by the node. For unique machine identification in the cluster this field is preferred. Learn more from man(5) machine-id: http://man7.org/linux/man-pages/man5/machine-id.5.html

operatingSystemstring

The Operating System reported by the node

osImagestring

OS Image reported by the node from /etc/os-release (e.g. Debian GNU/Linux 7 (wheezy)).

systemUUIDstring

SystemUUID reported by the node. For unique machine identification MachineID is preferred. This field is specific to Red Hat hosts https://access.redhat.com/documentation/en-us/red_hat_subscription_management/1/html/rhsm/uuid

.status.nodeRef

Description
ObjectReference contains enough information to let you inspect or modify the referred object.
Type
object
PropertyTypeDescription
apiVersionstring

API version of the referent.

fieldPathstring

If referring to a piece of an object instead of an entire object, this string should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2]. For example, if the object reference is to a container within a pod, this would take on a value like: "spec.containers{name}" (where "name" refers to the name of the container that triggered the event) or if no container name is specified "spec.containers[2]" (container with index 2 in this pod). This syntax is chosen only to have some well-defined way of referencing a part of an object.

kindstring

Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

namestring

Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

namespacestring

Namespace of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/

resourceVersionstring

Specific resourceVersion to which this reference is made, if any. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency

uidstring

UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#uids

API Endpoints

The following API endpoints are available:

  • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/userprovisionedmachines
    • DELETE: delete collection of UserProvisionedMachine
    • GET: list objects of kind UserProvisionedMachine
    • POST: create a new UserProvisionedMachine
  • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/userprovisionedmachines/{name}
    • DELETE: delete the specified UserProvisionedMachine
    • GET: read the specified UserProvisionedMachine
    • PATCH: partially update the specified UserProvisionedMachine
    • PUT: replace the specified UserProvisionedMachine
  • /apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/userprovisionedmachines/{name}/status
    • GET: read status of the specified UserProvisionedMachine
    • PATCH: partially update status of the specified UserProvisionedMachine
    • PUT: replace status of the specified UserProvisionedMachine

/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/userprovisionedmachines

HTTP method
DELETE
Description
delete collection of UserProvisionedMachine
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind UserProvisionedMachine
HTTP responses
HTTP codeResponse body
200 - OKUserProvisionedMachineList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new UserProvisionedMachine
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyUserProvisionedMachine schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKUserProvisionedMachine schema
201 - CreatedUserProvisionedMachine schema
202 - AcceptedUserProvisionedMachine schema
401 - UnauthorizedEmpty

/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/userprovisionedmachines/{name}

HTTP method
DELETE
Description
delete the specified UserProvisionedMachine
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified UserProvisionedMachine
HTTP responses
HTTP codeResponse body
200 - OKUserProvisionedMachine schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified UserProvisionedMachine
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKUserProvisionedMachine schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified UserProvisionedMachine
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyUserProvisionedMachine schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKUserProvisionedMachine schema
201 - CreatedUserProvisionedMachine schema
401 - UnauthorizedEmpty

/apis/infrastructure.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/userprovisionedmachines/{name}/status

HTTP method
GET
Description
read status of the specified UserProvisionedMachine
HTTP responses
HTTP codeResponse body
200 - OKUserProvisionedMachine schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified UserProvisionedMachine
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKUserProvisionedMachine schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified UserProvisionedMachine
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyUserProvisionedMachine schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKUserProvisionedMachine schema
201 - CreatedUserProvisionedMachine schema
401 - UnauthorizedEmpty